// ignore_for_file: use_build_context_synchronously, unused_local_variable, unnecessary_string_interpolations

import 'dart:async';

import 'package:app_telegram_template/app_telegram_template_data/app_telegram_template_data_core.dart';
import 'package:app_telegram_template/page/page.dart';
import 'package:device_info_plus/device_info_plus.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:general_lib/general_lib.dart';
import 'package:isar/isar.dart';
import 'package:path_provider/path_provider.dart';
import 'package:telegram_client/telegram_client.dart';
import 'package:universal_io/io.dart';
import "package:path/path.dart" as path;

import "package:app_telegram_template/database/scheme/scheme.dart"
    as isar_scheme;

class AppTelegramTemplate extends StatefulWidget {
  final ValueNotifier<ThemeMode> themeModeNotifier;
  const AppTelegramTemplate({super.key, required this.themeModeNotifier});

  @override
  State<AppTelegramTemplate> createState() => _AppTelegramTemplateState();
}

class _AppTelegramTemplateState extends State<AppTelegramTemplate> {
  bool is_found = false;
  int count = 0;

  @override
  void initState() {
    super.initState();

    WidgetsBinding.instance.addPostFrameCallback((Duration duration) async {
      await task();
    });
  }

  @override
  dispose() {
    super.dispose();
  }

  Future<void> task() async {
    Future(() async {
      Directory get_app_docs_dir = await getApplicationDocumentsDirectory();
      Directory app_tg_account =
          Directory(path.join(get_app_docs_dir.path, "tg_account"));
      if (app_tg_account.existsSync()) {
        await app_tg_account.delete(recursive: true);
      }
      if (!app_tg_account.existsSync()) {
        await app_tg_account.create(recursive: true);
      }
      Directory app_tg_dir =
          Directory(path.join(get_app_docs_dir.path, "tg_dir"));
      if (!app_tg_dir.existsSync()) {
        await app_tg_dir.create(recursive: true);
      }
      Isar isar_db_account = await Isar.open(
        [
          isar_scheme.TgClientDataSchema,
        ],
        directory: app_tg_dir.path,
        maxSizeMiB: Isar.defaultMaxSizeMiB * 100,
      );

      // atur dahulu account nya
      int account_counts = await isar_db_account.tgClientDatas.count();
      await isar_db_account.writeTxn(
        () async {
          /// ccreate offset for tl
          List<int> createOffset({
            required int totalCount,
            required int limitCount,
          }) {
            int offset = 0;
            List<int> listOffset = [0];
            for (var i = 0; i < (totalCount ~/ limitCount).toInt(); i++) {
              for (var ii = 0; ii <= limitCount; ii++) {
                if (ii == limitCount) {
                  offset = (offset + limitCount);
                }
              }
              listOffset.add(offset);
            }
            return listOffset;
          }

          List<int> count_datas = createOffset(
            totalCount: account_counts,
            limitCount: 10,
          );

          for (var i = 0; i < count_datas.length; i++) {
            List<isar_scheme.TgClientData> tgClientDatas = await isar_db_account
                .tgClientDatas
                .filter()
                .idGreaterThan(0)
                .offset(count_datas[i])
                .limit(10)
                .findAll();

            for (var index = 0; index < tgClientDatas.length; index++) {
              isar_scheme.TgClientData tgClientData = tgClientDatas[index];
              if (tgClientData.client_id == 0) {
                continue;
              }
              tgClientData.client_id = 0;
              await isar_db_account.tgClientDatas.put(tgClientData);
            }
          }
        },
        silent: true,
      );
      AppTelegramTemplateData appTelegramTemplateData =
          AppTelegramTemplateData(themeModeNotifier: widget.themeModeNotifier);

      final deviceInfoPlugin = DeviceInfoPlugin();
      final deviceInfo = await deviceInfoPlugin.deviceInfo;
      deviceInfo.data.printPretty();
      await appTelegramTemplateData.telegramClient.init(
        telegramClientTdlibOption: TelegramClientTdlibOption(
          clientOption: {
            'api_id': 94575,
            'api_hash': 'a3406de8d171bb422bb6ddf3bbd800e2',
            'database_directory': path.join(app_tg_account.path, "data"),
            'files_directory': path.join(app_tg_account.path, "files"),
            'device_model':
                "${Platform.operatingSystem.toUpperCaseFirstData()}".trim(),
            'system_version': Platform.operatingSystemVersion,
          },
        ),
      );
      print(path.join(app_tg_account.path, "data"));

      Tdlib tdlib = appTelegramTemplateData.telegramClient.tdlib;

      bool is_complete = false;

      setState(() {});
      print(tdlib.client_id);
      if (tdlib.client_id > 1) {
        for (int i = 1; i < tdlib.client_id; i++) {
          try {
            await tdlib.invoke("close",
                clientId: i, isInvokeThrowOnError: false, isVoid: true);
          } catch (e) {}
        }
      }
      await tdlib.initIsolate();
      is_complete = true;
      Timer.periodic(const Duration(microseconds: 1), (timer) async {
        if (is_complete) {
          timer.cancel();
          await Navigator.of(context).pushReplacement(
            MaterialPageRoute(
              builder: (context) {
                return SignPage(
                  appTelegramTemplateData: appTelegramTemplateData,
                );
              },
            ),
          );
        }
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    return const Scaffold(
      body: Center(
        child: CircularProgressIndicator(),
      ),
    );
  }
}
