import 'package:app_telegram_template/language/language_core.dart';

import 'package:flutter/material.dart';
import 'package:telegram_client/telegram_client.dart';

class AppTelegramTemplateData {
  final ValueNotifier<ThemeMode> themeModeNotifier;
  final ValueNotifier<bool> hidePhoneNumberNotifier = ValueNotifier(true);
  final Language language = Language(replaceData: [], languageCode: "id");
  final TelegramClient telegramClient = TelegramClient();
  bool isDebug = (true);
  AppTelegramTemplateData({
    required this.themeModeNotifier,
  });

  Future<Map> invoke({
    required BuildContext context,
    required Map<dynamic, dynamic> parameters,
    bool is_return_as_api = true,
    bool is_form = false,
    String? urlApi,
    String? clientType,
    bool isVoid = false,
    Duration? delayDuration,
    Duration? invokeTimeOut,
    String? extra,
    bool? isAutoGetChat,
    bool isInvokeThrowOnError = false,
    bool isAutoExtendMessage = false,
    bool is_use_request = false,
  }) async {
    TelegramClientData telegramClientData = TelegramClientData.tdlib(
        tdlib_client_id: telegramClient.tdlib.client_id);
    Map res;
    if (is_use_request) {
      res = await telegramClient.request(
        parameters: parameters,
        telegramClientData: telegramClientData,
        isInvokeThrowOnError: isInvokeThrowOnError,
        is_return_as_api: is_return_as_api,
        is_form: is_form,
        urlApi: urlApi,
        clientType: clientType,
        isVoid: isVoid,
        delayDuration: delayDuration,
        invokeTimeOut: invokeTimeOut,
        extra: extra,
        isAutoGetChat: isAutoGetChat,
        isAutoExtendMessage: isAutoExtendMessage,
      );
    } else {
      res = await telegramClient.invoke(
        parameters: parameters,
        telegramClientData: telegramClientData,
        isInvokeThrowOnError: isInvokeThrowOnError,
        is_form: is_form,
        urlApi: urlApi,
        clientType: clientType,
        isVoid: isVoid,
        delayDuration: delayDuration,
        invokeTimeOut: invokeTimeOut,
        extra: extra,
        isAutoGetChat: isAutoGetChat,
        isAutoExtendMessage: isAutoExtendMessage,
      );
    }

    if (res["@type"] == "error") {
      if (res["message"] == "Unauthorized") {
        // ignore: use_build_context_synchronously
        // Navigator.of(context).pushReplacement(
        //   MaterialPageRoute(
        //     builder: (context) {
        //       return SignPage(
        //         appTelegramTemplateData: this,
        //       );
        //     },
        //   ),
        // );
      }
    }

    return res;
  }
}
