// ignore_for_file: non_constant_identifier_names, unused_import
import "json_dart.dart";
// import "dart:convert";

import "language_detail_data.dart";

class LanguageCodeData extends JsonLanguage {
  LanguageCodeData(super.rawData);

  static Map get defaultData {
    return {
      "dz": {
        "@type": "languageDetailData",
        "name": "Algeria",
        "flag": "🇩🇿",
        "code": "DZ",
        "dial_code": "+213"
      },
      "as": {
        "@type": "languageDetailData",
        "name": "American Samoa",
        "flag": "🇦🇸",
        "code": "AS",
        "dial_code": "+1684"
      },
      "ad": {
        "@type": "languageDetailData",
        "name": "Andorra",
        "flag": "🇦🇩",
        "code": "AD",
        "dial_code": "+376"
      },
      "ao": {
        "@type": "languageDetailData",
        "name": "Angola",
        "flag": "🇦🇴",
        "code": "AO",
        "dial_code": "+244"
      },
      "ai": {
        "@type": "languageDetailData",
        "name": "Anguilla",
        "flag": "🇦🇮",
        "code": "AI",
        "dial_code": "+1264"
      },
      "aq": {
        "@type": "languageDetailData",
        "name": "Antarctica",
        "flag": "🇦🇶",
        "code": "AQ",
        "dial_code": "+672"
      },
      "ag": {
        "@type": "languageDetailData",
        "name": "Antigua and Barbuda",
        "flag": "🇦🇬",
        "code": "AG",
        "dial_code": "+1268"
      },
      "ar": {
        "@type": "languageDetailData",
        "name": "Argentina",
        "flag": "🇦🇷",
        "code": "AR",
        "dial_code": "+54"
      },
      "am": {
        "@type": "languageDetailData",
        "name": "Armenia",
        "flag": "🇦🇲",
        "code": "AM",
        "dial_code": "+374"
      },
      "aw": {
        "@type": "languageDetailData",
        "name": "Aruba",
        "flag": "🇦🇼",
        "code": "AW",
        "dial_code": "+297"
      },
      "au": {
        "@type": "languageDetailData",
        "name": "Australia",
        "flag": "🇦🇺",
        "code": "AU",
        "dial_code": "+61"
      },
      "at": {
        "@type": "languageDetailData",
        "name": "Austria",
        "flag": "🇦🇹",
        "code": "AT",
        "dial_code": "+43"
      },
      "az": {
        "@type": "languageDetailData",
        "name": "Azerbaijan",
        "flag": "🇦🇿",
        "code": "AZ",
        "dial_code": "+994"
      },
      "bs": {
        "@type": "languageDetailData",
        "name": "Bahamas",
        "flag": "🇧🇸",
        "code": "BS",
        "dial_code": "+1242"
      },
      "bh": {
        "@type": "languageDetailData",
        "name": "Bahrain",
        "flag": "🇧🇭",
        "code": "BH",
        "dial_code": "+973"
      },
      "bd": {
        "@type": "languageDetailData",
        "name": "Bangladesh",
        "flag": "🇧🇩",
        "code": "BD",
        "dial_code": "+880"
      },
      "bb": {
        "@type": "languageDetailData",
        "name": "Barbados",
        "flag": "🇧🇧",
        "code": "BB",
        "dial_code": "+1246"
      },
      "by": {
        "@type": "languageDetailData",
        "name": "Belarus",
        "flag": "🇧🇾",
        "code": "BY",
        "dial_code": "+375"
      },
      "be": {
        "@type": "languageDetailData",
        "name": "Belgium",
        "flag": "🇧🇪",
        "code": "BE",
        "dial_code": "+32"
      },
      "bz": {
        "@type": "languageDetailData",
        "name": "Belize",
        "flag": "🇧🇿",
        "code": "BZ",
        "dial_code": "+501"
      },
      "bj": {
        "@type": "languageDetailData",
        "name": "Benin",
        "flag": "🇧🇯",
        "code": "BJ",
        "dial_code": "+229"
      },
      "bm": {
        "@type": "languageDetailData",
        "name": "Bermuda",
        "flag": "🇧🇲",
        "code": "BM",
        "dial_code": "+1441"
      },
      "bt": {
        "@type": "languageDetailData",
        "name": "Bhutan",
        "flag": "🇧🇹",
        "code": "BT",
        "dial_code": "+975"
      },
      "bo": {
        "@type": "languageDetailData",
        "name": "Bolivia, Plurinational State of bolivia",
        "flag": "🇧🇴",
        "code": "BO",
        "dial_code": "+591"
      },
      "ba": {
        "@type": "languageDetailData",
        "name": "Bosnia and Herzegovina",
        "flag": "🇧🇦",
        "code": "BA",
        "dial_code": "+387"
      },
      "bw": {
        "@type": "languageDetailData",
        "name": "Botswana",
        "flag": "🇧🇼",
        "code": "BW",
        "dial_code": "+267"
      },
      "bv": {
        "@type": "languageDetailData",
        "name": "Bouvet Island",
        "flag": "🇧🇻",
        "code": "BV",
        "dial_code": "+47"
      },
      "br": {
        "@type": "languageDetailData",
        "name": "Brazil",
        "flag": "🇧🇷",
        "code": "BR",
        "dial_code": "+55"
      },
      "io": {
        "@type": "languageDetailData",
        "name": "British Indian Ocean Territory",
        "flag": "🇮🇴",
        "code": "IO",
        "dial_code": "+246"
      },
      "bn": {
        "@type": "languageDetailData",
        "name": "Brunei Darussalam",
        "flag": "🇧🇳",
        "code": "BN",
        "dial_code": "+673"
      },
      "bg": {
        "@type": "languageDetailData",
        "name": "Bulgaria",
        "flag": "🇧🇬",
        "code": "BG",
        "dial_code": "+359"
      },
      "bf": {
        "@type": "languageDetailData",
        "name": "Burkina Faso",
        "flag": "🇧🇫",
        "code": "BF",
        "dial_code": "+226"
      },
      "bi": {
        "@type": "languageDetailData",
        "name": "Burundi",
        "flag": "🇧🇮",
        "code": "BI",
        "dial_code": "+257"
      },
      "kh": {
        "@type": "languageDetailData",
        "name": "Cambodia",
        "flag": "🇰🇭",
        "code": "KH",
        "dial_code": "+855"
      },
      "cm": {
        "@type": "languageDetailData",
        "name": "Cameroon",
        "flag": "🇨🇲",
        "code": "CM",
        "dial_code": "+237"
      },
      "ca": {
        "@type": "languageDetailData",
        "name": "Canada",
        "flag": "🇨🇦",
        "code": "CA",
        "dial_code": "+1"
      },
      "cv": {
        "@type": "languageDetailData",
        "name": "Cape Verde",
        "flag": "🇨🇻",
        "code": "CV",
        "dial_code": "+238"
      },
      "ky": {
        "@type": "languageDetailData",
        "name": "Cayman Islands",
        "flag": "🇰🇾",
        "code": "KY",
        "dial_code": "+345"
      },
      "cf": {
        "@type": "languageDetailData",
        "name": "Central African Republic",
        "flag": "🇨🇫",
        "code": "CF",
        "dial_code": "+236"
      },
      "td": {
        "@type": "languageDetailData",
        "name": "Chad",
        "flag": "🇹🇩",
        "code": "TD",
        "dial_code": "+235"
      },
      "cl": {
        "@type": "languageDetailData",
        "name": "Chile",
        "flag": "🇨🇱",
        "code": "CL",
        "dial_code": "+56"
      },
      "cn": {
        "@type": "languageDetailData",
        "name": "China",
        "flag": "🇨🇳",
        "code": "CN",
        "dial_code": "+86"
      },
      "cx": {
        "@type": "languageDetailData",
        "name": "Christmas Island",
        "flag": "🇨🇽",
        "code": "CX",
        "dial_code": "+61"
      },
      "cc": {
        "@type": "languageDetailData",
        "name": "Cocos (Keeling) Islands",
        "flag": "🇨🇨",
        "code": "CC",
        "dial_code": "+61"
      },
      "co": {
        "@type": "languageDetailData",
        "name": "Colombia",
        "flag": "🇨🇴",
        "code": "CO",
        "dial_code": "+57"
      },
      "km": {
        "@type": "languageDetailData",
        "name": "Comoros",
        "flag": "🇰🇲",
        "code": "KM",
        "dial_code": "+269"
      },
      "cg": {
        "@type": "languageDetailData",
        "name": "Congo",
        "flag": "🇨🇬",
        "code": "CG",
        "dial_code": "+242"
      },
      "cd": {
        "@type": "languageDetailData",
        "name": "Congo, The Democratic Republic of the Congo",
        "flag": "🇨🇩",
        "code": "CD",
        "dial_code": "+243"
      },
      "ck": {
        "@type": "languageDetailData",
        "name": "Cook Islands",
        "flag": "🇨🇰",
        "code": "CK",
        "dial_code": "+682"
      },
      "cr": {
        "@type": "languageDetailData",
        "name": "Costa Rica",
        "flag": "🇨🇷",
        "code": "CR",
        "dial_code": "+506"
      },
      "ci": {
        "@type": "languageDetailData",
        "name": "Cote d'Ivoire",
        "flag": "🇨🇮",
        "code": "CI",
        "dial_code": "+225"
      },
      "hr": {
        "@type": "languageDetailData",
        "name": "Croatia",
        "flag": "🇭🇷",
        "code": "HR",
        "dial_code": "+385"
      },
      "cu": {
        "@type": "languageDetailData",
        "name": "Cuba",
        "flag": "🇨🇺",
        "code": "CU",
        "dial_code": "+53"
      },
      "cy": {
        "@type": "languageDetailData",
        "name": "Cyprus",
        "flag": "🇨🇾",
        "code": "CY",
        "dial_code": "+357"
      },
      "cz": {
        "@type": "languageDetailData",
        "name": "Czech Republic",
        "flag": "🇨🇿",
        "code": "CZ",
        "dial_code": "+420"
      },
      "dk": {
        "@type": "languageDetailData",
        "name": "Denmark",
        "flag": "🇩🇰",
        "code": "DK",
        "dial_code": "+45"
      },
      "dj": {
        "@type": "languageDetailData",
        "name": "Djibouti",
        "flag": "🇩🇯",
        "code": "DJ",
        "dial_code": "+253"
      },
      "dm": {
        "@type": "languageDetailData",
        "name": "Dominica",
        "flag": "🇩🇲",
        "code": "DM",
        "dial_code": "+1767"
      },
      "do": {
        "@type": "languageDetailData",
        "name": "Dominican Republic",
        "flag": "🇩🇴",
        "code": "DO",
        "dial_code": "+1849"
      },
      "ec": {
        "@type": "languageDetailData",
        "name": "Ecuador",
        "flag": "🇪🇨",
        "code": "EC",
        "dial_code": "+593"
      },
      "eg": {
        "@type": "languageDetailData",
        "name": "Egypt",
        "flag": "🇪🇬",
        "code": "EG",
        "dial_code": "+20"
      },
      "sv": {
        "@type": "languageDetailData",
        "name": "El Salvador",
        "flag": "🇸🇻",
        "code": "SV",
        "dial_code": "+503"
      },
      "gq": {
        "@type": "languageDetailData",
        "name": "Equatorial Guinea",
        "flag": "🇬🇶",
        "code": "GQ",
        "dial_code": "+240"
      },
      "en": {
        "@type": "languageDetailData",
        "name": "Inggris",
        "flag": "🇺🇸",
        "code": "EN",
        "dial_code": "+1"
      },
      "er": {
        "@type": "languageDetailData",
        "name": "Eritrea",
        "flag": "🇪🇷",
        "code": "ER",
        "dial_code": "+291"
      },
      "ee": {
        "@type": "languageDetailData",
        "name": "Estonia",
        "flag": "🇪🇪",
        "code": "EE",
        "dial_code": "+372"
      },
      "et": {
        "@type": "languageDetailData",
        "name": "Ethiopia",
        "flag": "🇪🇹",
        "code": "ET",
        "dial_code": "+251"
      },
      "fk": {
        "@type": "languageDetailData",
        "name": "Falkland Islands (Malvinas)",
        "flag": "🇫🇰",
        "code": "FK",
        "dial_code": "+500"
      },
      "fo": {
        "@type": "languageDetailData",
        "name": "Faroe Islands",
        "flag": "🇫🇴",
        "code": "FO",
        "dial_code": "+298"
      },
      "fj": {
        "@type": "languageDetailData",
        "name": "Fiji",
        "flag": "🇫🇯",
        "code": "FJ",
        "dial_code": "+679"
      },
      "fi": {
        "@type": "languageDetailData",
        "name": "Finland",
        "flag": "🇫🇮",
        "code": "FI",
        "dial_code": "+358"
      },
      "fr": {
        "@type": "languageDetailData",
        "name": "France",
        "flag": "🇫🇷",
        "code": "FR",
        "dial_code": "+33"
      },
      "gf": {
        "@type": "languageDetailData",
        "name": "French Guiana",
        "flag": "🇬🇫",
        "code": "GF",
        "dial_code": "+594"
      },
      "pf": {
        "@type": "languageDetailData",
        "name": "French Polynesia",
        "flag": "🇵🇫",
        "code": "PF",
        "dial_code": "+689"
      },
      "tf": {
        "@type": "languageDetailData",
        "name": "French Southern Territories",
        "flag": "🇹🇫",
        "code": "TF",
        "dial_code": "+262"
      },
      "ga": {
        "@type": "languageDetailData",
        "name": "Gabon",
        "flag": "🇬🇦",
        "code": "GA",
        "dial_code": "+241"
      },
      "gm": {
        "@type": "languageDetailData",
        "name": "Gambia",
        "flag": "🇬🇲",
        "code": "GM",
        "dial_code": "+220"
      },
      "ge": {
        "@type": "languageDetailData",
        "name": "Georgia",
        "flag": "🇬🇪",
        "code": "GE",
        "dial_code": "+995"
      },
      "de": {
        "@type": "languageDetailData",
        "name": "Germany",
        "flag": "🇩🇪",
        "code": "DE",
        "dial_code": "+49"
      },
      "gh": {
        "@type": "languageDetailData",
        "name": "Ghana",
        "flag": "🇬🇭",
        "code": "GH",
        "dial_code": "+233"
      },
      "gi": {
        "@type": "languageDetailData",
        "name": "Gibraltar",
        "flag": "🇬🇮",
        "code": "GI",
        "dial_code": "+350"
      },
      "gr": {
        "@type": "languageDetailData",
        "name": "Greece",
        "flag": "🇬🇷",
        "code": "GR",
        "dial_code": "+30"
      },
      "gl": {
        "@type": "languageDetailData",
        "name": "Greenland",
        "flag": "🇬🇱",
        "code": "GL",
        "dial_code": "+299"
      },
      "gd": {
        "@type": "languageDetailData",
        "name": "Grenada",
        "flag": "🇬🇩",
        "code": "GD",
        "dial_code": "+1473"
      },
      "gp": {
        "@type": "languageDetailData",
        "name": "Guadeloupe",
        "flag": "🇬🇵",
        "code": "GP",
        "dial_code": "+590"
      },
      "gu": {
        "@type": "languageDetailData",
        "name": "Guam",
        "flag": "🇬🇺",
        "code": "GU",
        "dial_code": "+1671"
      },
      "gt": {
        "@type": "languageDetailData",
        "name": "Guatemala",
        "flag": "🇬🇹",
        "code": "GT",
        "dial_code": "+502"
      },
      "gg": {
        "@type": "languageDetailData",
        "name": "Guernsey",
        "flag": "🇬🇬",
        "code": "GG",
        "dial_code": "+44"
      },
      "gn": {
        "@type": "languageDetailData",
        "name": "Guinea",
        "flag": "🇬🇳",
        "code": "GN",
        "dial_code": "+224"
      },
      "gw": {
        "@type": "languageDetailData",
        "name": "Guinea-Bissau",
        "flag": "🇬🇼",
        "code": "GW",
        "dial_code": "+245"
      },
      "gy": {
        "@type": "languageDetailData",
        "name": "Guyana",
        "flag": "🇬🇾",
        "code": "GY",
        "dial_code": "+592"
      },
      "ht": {
        "@type": "languageDetailData",
        "name": "Haiti",
        "flag": "🇭🇹",
        "code": "HT",
        "dial_code": "+509"
      },
      "hm": {
        "@type": "languageDetailData",
        "name": "Heard Island and Mcdonald Islands",
        "flag": "🇭🇲",
        "code": "HM",
        "dial_code": "+672"
      },
      "va": {
        "@type": "languageDetailData",
        "name": "Holy See (Vatican City State)",
        "flag": "🇻🇦",
        "code": "VA",
        "dial_code": "+379"
      },
      "hn": {
        "@type": "languageDetailData",
        "name": "Honduras",
        "flag": "🇭🇳",
        "code": "HN",
        "dial_code": "+504"
      },
      "hk": {
        "@type": "languageDetailData",
        "name": "Hong Kong",
        "flag": "🇭🇰",
        "code": "HK",
        "dial_code": "+852"
      },
      "hu": {
        "@type": "languageDetailData",
        "name": "Hungary",
        "flag": "🇭🇺",
        "code": "HU",
        "dial_code": "+36"
      },
      "is": {
        "@type": "languageDetailData",
        "name": "Iceland",
        "flag": "🇮🇸",
        "code": "IS",
        "dial_code": "+354"
      },
      "in": {
        "@type": "languageDetailData",
        "name": "India",
        "flag": "🇮🇳",
        "code": "IN",
        "dial_code": "+91"
      },
      "id": {
        "@type": "languageDetailData",
        "name": "Indonesia",
        "flag": "🇮🇩",
        "code": "ID",
        "dial_code": "+62"
      },
      "ir": {
        "@type": "languageDetailData",
        "name": "Iran, Islamic Republic of Persian Gulf",
        "flag": "🇮🇷",
        "code": "IR",
        "dial_code": "+98"
      },
      "iq": {
        "@type": "languageDetailData",
        "name": "Iraq",
        "flag": "🇮🇶",
        "code": "IQ",
        "dial_code": "+964"
      },
      "ie": {
        "@type": "languageDetailData",
        "name": "Ireland",
        "flag": "🇮🇪",
        "code": "IE",
        "dial_code": "+353"
      },
      "im": {
        "@type": "languageDetailData",
        "name": "Isle of Man",
        "flag": "🇮🇲",
        "code": "IM",
        "dial_code": "+44"
      },
      "il": {
        "@type": "languageDetailData",
        "name": "Israel",
        "flag": "🇮🇱",
        "code": "IL",
        "dial_code": "+972"
      },
      "it": {
        "@type": "languageDetailData",
        "name": "Italy",
        "flag": "🇮🇹",
        "code": "IT",
        "dial_code": "+39"
      },
      "jm": {
        "@type": "languageDetailData",
        "name": "Jamaica",
        "flag": "🇯🇲",
        "code": "JM",
        "dial_code": "+1876"
      },
      "jp": {
        "@type": "languageDetailData",
        "name": "Japan",
        "flag": "🇯🇵",
        "code": "JP",
        "dial_code": "+81"
      },
      "je": {
        "@type": "languageDetailData",
        "name": "Jersey",
        "flag": "🇯🇪",
        "code": "JE",
        "dial_code": "+44"
      },
      "jo": {
        "@type": "languageDetailData",
        "name": "Jordan",
        "flag": "🇯🇴",
        "code": "JO",
        "dial_code": "+962"
      },
      "kz": {
        "@type": "languageDetailData",
        "name": "Kazakhstan",
        "flag": "🇰🇿",
        "code": "KZ",
        "dial_code": "+7"
      },
      "ke": {
        "@type": "languageDetailData",
        "name": "Kenya",
        "flag": "🇰🇪",
        "code": "KE",
        "dial_code": "+254"
      },
      "ki": {
        "@type": "languageDetailData",
        "name": "Kiribati",
        "flag": "🇰🇮",
        "code": "KI",
        "dial_code": "+686"
      },
      "kp": {
        "@type": "languageDetailData",
        "name": "Korea, Democratic People's Republic of Korea",
        "flag": "🇰🇵",
        "code": "KP",
        "dial_code": "+850"
      },
      "ko": {
        "@type": "languageDetailData",
        "name": "Korea, Republic of South Korea",
        "flag": "🇰🇷",
        "code": "KO",
        "dial_code": "+82"
      },
      "xk": {
        "@type": "languageDetailData",
        "name": "Kosovo",
        "flag": "🇽🇰",
        "code": "XK",
        "dial_code": "+383"
      },
      "kw": {
        "@type": "languageDetailData",
        "name": "Kuwait",
        "flag": "🇰🇼",
        "code": "KW",
        "dial_code": "+965"
      },
      "kg": {
        "@type": "languageDetailData",
        "name": "Kyrgyzstan",
        "flag": "🇰🇬",
        "code": "KG",
        "dial_code": "+996"
      },
      "la": {
        "@type": "languageDetailData",
        "name": "Laos",
        "flag": "🇱🇦",
        "code": "LA",
        "dial_code": "+856"
      },
      "lv": {
        "@type": "languageDetailData",
        "name": "Latvia",
        "flag": "🇱🇻",
        "code": "LV",
        "dial_code": "+371"
      },
      "lb": {
        "@type": "languageDetailData",
        "name": "Lebanon",
        "flag": "🇱🇧",
        "code": "LB",
        "dial_code": "+961"
      },
      "ls": {
        "@type": "languageDetailData",
        "name": "Lesotho",
        "flag": "🇱🇸",
        "code": "LS",
        "dial_code": "+266"
      },
      "lr": {
        "@type": "languageDetailData",
        "name": "Liberia",
        "flag": "🇱🇷",
        "code": "LR",
        "dial_code": "+231"
      },
      "ly": {
        "@type": "languageDetailData",
        "name": "Libyan Arab Jamahiriya",
        "flag": "🇱🇾",
        "code": "LY",
        "dial_code": "+218"
      },
      "li": {
        "@type": "languageDetailData",
        "name": "Liechtenstein",
        "flag": "🇱🇮",
        "code": "LI",
        "dial_code": "+423"
      },
      "lt": {
        "@type": "languageDetailData",
        "name": "Lithuania",
        "flag": "🇱🇹",
        "code": "LT",
        "dial_code": "+370"
      },
      "lu": {
        "@type": "languageDetailData",
        "name": "Luxembourg",
        "flag": "🇱🇺",
        "code": "LU",
        "dial_code": "+352"
      },
      "mo": {
        "@type": "languageDetailData",
        "name": "Macao",
        "flag": "🇲🇴",
        "code": "MO",
        "dial_code": "+853"
      },
      "mk": {
        "@type": "languageDetailData",
        "name": "Macedonia",
        "flag": "🇲🇰",
        "code": "MK",
        "dial_code": "+389"
      },
      "mg": {
        "@type": "languageDetailData",
        "name": "Madagascar",
        "flag": "🇲🇬",
        "code": "MG",
        "dial_code": "+261"
      },
      "mw": {
        "@type": "languageDetailData",
        "name": "Malawi",
        "flag": "🇲🇼",
        "code": "MW",
        "dial_code": "+265"
      },
      "my": {
        "@type": "languageDetailData",
        "name": "Malaysia",
        "flag": "🇲🇾",
        "code": "MY",
        "dial_code": "+60"
      },
      "mv": {
        "@type": "languageDetailData",
        "name": "Maldives",
        "flag": "🇲🇻",
        "code": "MV",
        "dial_code": "+960"
      },
      "ml": {
        "@type": "languageDetailData",
        "name": "Mali",
        "flag": "🇲🇱",
        "code": "ML",
        "dial_code": "+223"
      },
      "mt": {
        "@type": "languageDetailData",
        "name": "Malta",
        "flag": "🇲🇹",
        "code": "MT",
        "dial_code": "+356"
      },
      "mh": {
        "@type": "languageDetailData",
        "name": "Marshall Islands",
        "flag": "🇲🇭",
        "code": "MH",
        "dial_code": "+692"
      },
      "mq": {
        "@type": "languageDetailData",
        "name": "Martinique",
        "flag": "🇲🇶",
        "code": "MQ",
        "dial_code": "+596"
      },
      "mr": {
        "@type": "languageDetailData",
        "name": "Mauritania",
        "flag": "🇲🇷",
        "code": "MR",
        "dial_code": "+222"
      },
      "mu": {
        "@type": "languageDetailData",
        "name": "Mauritius",
        "flag": "🇲🇺",
        "code": "MU",
        "dial_code": "+230"
      },
      "yt": {
        "@type": "languageDetailData",
        "name": "Mayotte",
        "flag": "🇾🇹",
        "code": "YT",
        "dial_code": "+262"
      },
      "mx": {
        "@type": "languageDetailData",
        "name": "Mexico",
        "flag": "🇲🇽",
        "code": "MX",
        "dial_code": "+52"
      },
      "fm": {
        "@type": "languageDetailData",
        "name": "Micronesia, Federated States of Micronesia",
        "flag": "🇫🇲",
        "code": "FM",
        "dial_code": "+691"
      },
      "md": {
        "@type": "languageDetailData",
        "name": "Moldova",
        "flag": "🇲🇩",
        "code": "MD",
        "dial_code": "+373"
      },
      "mc": {
        "@type": "languageDetailData",
        "name": "Monaco",
        "flag": "🇲🇨",
        "code": "MC",
        "dial_code": "+377"
      },
      "mn": {
        "@type": "languageDetailData",
        "name": "Mongolia",
        "flag": "🇲🇳",
        "code": "MN",
        "dial_code": "+976"
      },
      "me": {
        "@type": "languageDetailData",
        "name": "Montenegro",
        "flag": "🇲🇪",
        "code": "ME",
        "dial_code": "+382"
      },
      "ms": {
        "@type": "languageDetailData",
        "name": "Montserrat",
        "flag": "🇲🇸",
        "code": "MS",
        "dial_code": "+1664"
      },
      "ma": {
        "@type": "languageDetailData",
        "name": "Morocco",
        "flag": "🇲🇦",
        "code": "MA",
        "dial_code": "+212"
      },
      "mz": {
        "@type": "languageDetailData",
        "name": "Mozambique",
        "flag": "🇲🇿",
        "code": "MZ",
        "dial_code": "+258"
      },
      "mm": {
        "@type": "languageDetailData",
        "name": "Myanmar",
        "flag": "🇲🇲",
        "code": "MM",
        "dial_code": "+95"
      },
      "na": {
        "@type": "languageDetailData",
        "name": "Namibia",
        "flag": "🇳🇦",
        "code": "NA",
        "dial_code": "+264"
      },
      "nr": {
        "@type": "languageDetailData",
        "name": "Nauru",
        "flag": "🇳🇷",
        "code": "NR",
        "dial_code": "+674"
      },
      "np": {
        "@type": "languageDetailData",
        "name": "Nepal",
        "flag": "🇳🇵",
        "code": "NP",
        "dial_code": "+977"
      },
      "nl": {
        "@type": "languageDetailData",
        "name": "Netherlands",
        "flag": "🇳🇱",
        "code": "NL",
        "dial_code": "+31"
      },
      "an": {
        "@type": "languageDetailData",
        "name": "Netherlands Antilles",
        "flag": "",
        "code": "AN",
        "dial_code": "+599"
      },
      "nc": {
        "@type": "languageDetailData",
        "name": "New Caledonia",
        "flag": "🇳🇨",
        "code": "NC",
        "dial_code": "+687"
      },
      "nz": {
        "@type": "languageDetailData",
        "name": "New Zealand",
        "flag": "🇳🇿",
        "code": "NZ",
        "dial_code": "+64"
      },
      "ni": {
        "@type": "languageDetailData",
        "name": "Nicaragua",
        "flag": "🇳🇮",
        "code": "NI",
        "dial_code": "+505"
      },
      "ne": {
        "@type": "languageDetailData",
        "name": "Niger",
        "flag": "🇳🇪",
        "code": "NE",
        "dial_code": "+227"
      },
      "ng": {
        "@type": "languageDetailData",
        "name": "Nigeria",
        "flag": "🇳🇬",
        "code": "NG",
        "dial_code": "+234"
      },
      "nu": {
        "@type": "languageDetailData",
        "name": "Niue",
        "flag": "🇳🇺",
        "code": "NU",
        "dial_code": "+683"
      },
      "nf": {
        "@type": "languageDetailData",
        "name": "Norfolk Island",
        "flag": "🇳🇫",
        "code": "NF",
        "dial_code": "+672"
      },
      "mp": {
        "@type": "languageDetailData",
        "name": "Northern Mariana Islands",
        "flag": "🇲🇵",
        "code": "MP",
        "dial_code": "+1670"
      },
      "no": {
        "@type": "languageDetailData",
        "name": "Norway",
        "flag": "🇳🇴",
        "code": "NO",
        "dial_code": "+47"
      },
      "om": {
        "@type": "languageDetailData",
        "name": "Oman",
        "flag": "🇴🇲",
        "code": "OM",
        "dial_code": "+968"
      },
      "pk": {
        "@type": "languageDetailData",
        "name": "Pakistan",
        "flag": "🇵🇰",
        "code": "PK",
        "dial_code": "+92"
      },
      "pw": {
        "@type": "languageDetailData",
        "name": "Palau",
        "flag": "🇵🇼",
        "code": "PW",
        "dial_code": "+680"
      },
      "ps": {
        "@type": "languageDetailData",
        "name": "Palestinian Territory, Occupied",
        "flag": "🇵🇸",
        "code": "PS",
        "dial_code": "+970"
      },
      "pa": {
        "@type": "languageDetailData",
        "name": "Panama",
        "flag": "🇵🇦",
        "code": "PA",
        "dial_code": "+507"
      },
      "pg": {
        "@type": "languageDetailData",
        "name": "Papua New Guinea",
        "flag": "🇵🇬",
        "code": "PG",
        "dial_code": "+675"
      },
      "py": {
        "@type": "languageDetailData",
        "name": "Paraguay",
        "flag": "🇵🇾",
        "code": "PY",
        "dial_code": "+595"
      },
      "pe": {
        "@type": "languageDetailData",
        "name": "Peru",
        "flag": "🇵🇪",
        "code": "PE",
        "dial_code": "+51"
      },
      "ph": {
        "@type": "languageDetailData",
        "name": "Philippines",
        "flag": "🇵🇭",
        "code": "PH",
        "dial_code": "+63"
      },
      "pn": {
        "@type": "languageDetailData",
        "name": "Pitcairn",
        "flag": "🇵🇳",
        "code": "PN",
        "dial_code": "+64"
      },
      "pl": {
        "@type": "languageDetailData",
        "name": "Poland",
        "flag": "🇵🇱",
        "code": "PL",
        "dial_code": "+48"
      },
      "pt": {
        "@type": "languageDetailData",
        "name": "Portugal",
        "flag": "🇵🇹",
        "code": "PT",
        "dial_code": "+351"
      },
      "pr": {
        "@type": "languageDetailData",
        "name": "Puerto Rico",
        "flag": "🇵🇷",
        "code": "PR",
        "dial_code": "+1939"
      },
      "qa": {
        "@type": "languageDetailData",
        "name": "Qatar",
        "flag": "🇶🇦",
        "code": "QA",
        "dial_code": "+974"
      },
      "ro": {
        "@type": "languageDetailData",
        "name": "Romania",
        "flag": "🇷🇴",
        "code": "RO",
        "dial_code": "+40"
      },
      "ru": {
        "@type": "languageDetailData",
        "name": "Russia",
        "flag": "🇷🇺",
        "code": "RU",
        "dial_code": "+7"
      },
      "rw": {
        "@type": "languageDetailData",
        "name": "Rwanda",
        "flag": "🇷🇼",
        "code": "RW",
        "dial_code": "+250"
      },
      "re": {
        "@type": "languageDetailData",
        "name": "Reunion",
        "flag": "🇷🇪",
        "code": "RE",
        "dial_code": "+262"
      },
      "bl": {
        "@type": "languageDetailData",
        "name": "Saint Barthelemy",
        "flag": "🇧🇱",
        "code": "BL",
        "dial_code": "+590"
      },
      "sh": {
        "@type": "languageDetailData",
        "name": "Saint Helena, Ascension and Tristan Da Cunha",
        "flag": "🇸🇭",
        "code": "SH",
        "dial_code": "+290"
      },
      "kn": {
        "@type": "languageDetailData",
        "name": "Saint Kitts and Nevis",
        "flag": "🇰🇳",
        "code": "KN",
        "dial_code": "+1869"
      },
      "lc": {
        "@type": "languageDetailData",
        "name": "Saint Lucia",
        "flag": "🇱🇨",
        "code": "LC",
        "dial_code": "+1758"
      },
      "mf": {
        "@type": "languageDetailData",
        "name": "Saint Martin",
        "flag": "🇲🇫",
        "code": "MF",
        "dial_code": "+590"
      },
      "pm": {
        "@type": "languageDetailData",
        "name": "Saint Pierre and Miquelon",
        "flag": "🇵🇲",
        "code": "PM",
        "dial_code": "+508"
      },
      "vc": {
        "@type": "languageDetailData",
        "name": "Saint Vincent and the Grenadines",
        "flag": "🇻🇨",
        "code": "VC",
        "dial_code": "+1784"
      },
      "ws": {
        "@type": "languageDetailData",
        "name": "Samoa",
        "flag": "🇼🇸",
        "code": "WS",
        "dial_code": "+685"
      },
      "sm": {
        "@type": "languageDetailData",
        "name": "San Marino",
        "flag": "🇸🇲",
        "code": "SM",
        "dial_code": "+378"
      },
      "st": {
        "@type": "languageDetailData",
        "name": "Sao Tome and Principe",
        "flag": "🇸🇹",
        "code": "ST",
        "dial_code": "+239"
      },
      "sa": {
        "@type": "languageDetailData",
        "name": "Saudi Arabia",
        "flag": "🇸🇦",
        "code": "SA",
        "dial_code": "+966"
      },
      "sn": {
        "@type": "languageDetailData",
        "name": "Senegal",
        "flag": "🇸🇳",
        "code": "SN",
        "dial_code": "+221"
      },
      "rs": {
        "@type": "languageDetailData",
        "name": "Serbia",
        "flag": "🇷🇸",
        "code": "RS",
        "dial_code": "+381"
      },
      "sc": {
        "@type": "languageDetailData",
        "name": "Seychelles",
        "flag": "🇸🇨",
        "code": "SC",
        "dial_code": "+248"
      },
      "sl": {
        "@type": "languageDetailData",
        "name": "Sierra Leone",
        "flag": "🇸🇱",
        "code": "SL",
        "dial_code": "+232"
      },
      "sg": {
        "@type": "languageDetailData",
        "name": "Singapore",
        "flag": "🇸🇬",
        "code": "SG",
        "dial_code": "+65"
      },
      "sk": {
        "@type": "languageDetailData",
        "name": "Slovakia",
        "flag": "🇸🇰",
        "code": "SK",
        "dial_code": "+421"
      },
      "si": {
        "@type": "languageDetailData",
        "name": "Slovenia",
        "flag": "🇸🇮",
        "code": "SI",
        "dial_code": "+386"
      },
      "sb": {
        "@type": "languageDetailData",
        "name": "Solomon Islands",
        "flag": "🇸🇧",
        "code": "SB",
        "dial_code": "+677"
      },
      "so": {
        "@type": "languageDetailData",
        "name": "Somalia",
        "flag": "🇸🇴",
        "code": "SO",
        "dial_code": "+252"
      },
      "za": {
        "@type": "languageDetailData",
        "name": "South Africa",
        "flag": "🇿🇦",
        "code": "ZA",
        "dial_code": "+27"
      },
      "ss": {
        "@type": "languageDetailData",
        "name": "South Sudan",
        "flag": "🇸🇸",
        "code": "SS",
        "dial_code": "+211"
      },
      "gs": {
        "@type": "languageDetailData",
        "name": "South Georgia and the South Sandwich Islands",
        "flag": "🇬🇸",
        "code": "GS",
        "dial_code": "+500"
      },
      "es": {
        "@type": "languageDetailData",
        "name": "Spain",
        "flag": "🇪🇸",
        "code": "ES",
        "dial_code": "+34"
      },
      "lk": {
        "@type": "languageDetailData",
        "name": "Sri Lanka",
        "flag": "🇱🇰",
        "code": "LK",
        "dial_code": "+94"
      },
      "sd": {
        "@type": "languageDetailData",
        "name": "Sudan",
        "flag": "🇸🇩",
        "code": "SD",
        "dial_code": "+249"
      },
      "sr": {
        "@type": "languageDetailData",
        "name": "Suriname",
        "flag": "🇸🇷",
        "code": "SR",
        "dial_code": "+597"
      },
      "sj": {
        "@type": "languageDetailData",
        "name": "Svalbard and Jan Mayen",
        "flag": "🇸🇯",
        "code": "SJ",
        "dial_code": "+47"
      },
      "sz": {
        "@type": "languageDetailData",
        "name": "Swaziland",
        "flag": "🇸🇿",
        "code": "SZ",
        "dial_code": "+268"
      },
      "se": {
        "@type": "languageDetailData",
        "name": "Sweden",
        "flag": "🇸🇪",
        "code": "SE",
        "dial_code": "+46"
      },
      "ch": {
        "@type": "languageDetailData",
        "name": "Switzerland",
        "flag": "🇨🇭",
        "code": "CH",
        "dial_code": "+41"
      },
      "sy": {
        "@type": "languageDetailData",
        "name": "Syrian Arab Republic",
        "flag": "🇸🇾",
        "code": "SY",
        "dial_code": "+963"
      },
      "tw": {
        "@type": "languageDetailData",
        "name": "Taiwan",
        "flag": "🇹🇼",
        "code": "TW",
        "dial_code": "+886"
      },
      "tj": {
        "@type": "languageDetailData",
        "name": "Tajikistan",
        "flag": "🇹🇯",
        "code": "TJ",
        "dial_code": "+992"
      },
      "tz": {
        "@type": "languageDetailData",
        "name": "Tanzania, United Republic of Tanzania",
        "flag": "🇹🇿",
        "code": "TZ",
        "dial_code": "+255"
      },
      "th": {
        "@type": "languageDetailData",
        "name": "Thailand",
        "flag": "🇹🇭",
        "code": "TH",
        "dial_code": "+66"
      },
      "tl": {
        "@type": "languageDetailData",
        "name": "Timor-Leste",
        "flag": "🇹🇱",
        "code": "TL",
        "dial_code": "+670"
      },
      "tg": {
        "@type": "languageDetailData",
        "name": "Togo",
        "flag": "🇹🇬",
        "code": "TG",
        "dial_code": "+228"
      },
      "tk": {
        "@type": "languageDetailData",
        "name": "Tokelau",
        "flag": "🇹🇰",
        "code": "TK",
        "dial_code": "+690"
      },
      "to": {
        "@type": "languageDetailData",
        "name": "Tonga",
        "flag": "🇹🇴",
        "code": "TO",
        "dial_code": "+676"
      },
      "tt": {
        "@type": "languageDetailData",
        "name": "Trinidad and Tobago",
        "flag": "🇹🇹",
        "code": "TT",
        "dial_code": "+1868"
      },
      "tn": {
        "@type": "languageDetailData",
        "name": "Tunisia",
        "flag": "🇹🇳",
        "code": "TN",
        "dial_code": "+216"
      },
      "tr": {
        "@type": "languageDetailData",
        "name": "Turkey",
        "flag": "🇹🇷",
        "code": "TR",
        "dial_code": "+90"
      },
      "tm": {
        "@type": "languageDetailData",
        "name": "Turkmenistan",
        "flag": "🇹🇲",
        "code": "TM",
        "dial_code": "+993"
      },
      "tc": {
        "@type": "languageDetailData",
        "name": "Turks and Caicos Islands",
        "flag": "🇹🇨",
        "code": "TC",
        "dial_code": "+1649"
      },
      "tv": {
        "@type": "languageDetailData",
        "name": "Tuvalu",
        "flag": "🇹🇻",
        "code": "TV",
        "dial_code": "+688"
      },
      "ug": {
        "@type": "languageDetailData",
        "name": "Uganda",
        "flag": "🇺🇬",
        "code": "UG",
        "dial_code": "+256"
      },
      "ua": {
        "@type": "languageDetailData",
        "name": "Ukraine",
        "flag": "🇺🇦",
        "code": "UA",
        "dial_code": "+380"
      },
      "ae": {
        "@type": "languageDetailData",
        "name": "United Arab Emirates",
        "flag": "🇦🇪",
        "code": "AE",
        "dial_code": "+971"
      },
      "gb": {
        "@type": "languageDetailData",
        "name": "United Kingdom",
        "flag": "🇬🇧",
        "code": "GB",
        "dial_code": "+44"
      },
      "us": {
        "@type": "languageDetailData",
        "name": "United States",
        "flag": "🇺🇸",
        "code": "US",
        "dial_code": "+1"
      },
      "uy": {
        "@type": "languageDetailData",
        "name": "Uruguay",
        "flag": "🇺🇾",
        "code": "UY",
        "dial_code": "+598"
      },
      "uz": {
        "@type": "languageDetailData",
        "name": "Uzbekistan",
        "flag": "🇺🇿",
        "code": "UZ",
        "dial_code": "+998"
      },
      "vu": {
        "@type": "languageDetailData",
        "name": "Vanuatu",
        "flag": "🇻🇺",
        "code": "VU",
        "dial_code": "+678"
      },
      "ve": {
        "@type": "languageDetailData",
        "name": "Venezuela, Bolivarian Republic of Venezuela",
        "flag": "🇻🇪",
        "code": "VE",
        "dial_code": "+58"
      },
      "vn": {
        "@type": "languageDetailData",
        "name": "Vietnam",
        "flag": "🇻🇳",
        "code": "VN",
        "dial_code": "+84"
      },
      "vg": {
        "@type": "languageDetailData",
        "name": "Virgin Islands, British",
        "flag": "🇻🇬",
        "code": "VG",
        "dial_code": "+1284"
      },
      "vi": {
        "@type": "languageDetailData",
        "name": "Virgin Islands, U.S.",
        "flag": "🇻🇮",
        "code": "VI",
        "dial_code": "+1340"
      },
      "wf": {
        "@type": "languageDetailData",
        "name": "Wallis and Futuna",
        "flag": "🇼🇫",
        "code": "WF",
        "dial_code": "+681"
      },
      "ye": {
        "@type": "languageDetailData",
        "name": "Yemen",
        "flag": "🇾🇪",
        "code": "YE",
        "dial_code": "+967"
      },
      "zm": {
        "@type": "languageDetailData",
        "name": "Zambia",
        "flag": "🇿🇲",
        "code": "ZM",
        "dial_code": "+260"
      },
      "zw": {
        "@type": "languageDetailData",
        "name": "Zimbabwe",
        "flag": "🇿🇼",
        "code": "ZW",
        "dial_code": "+263"
      },
      "@type": "LanguageCodeData"
    };
  }

  LanguageDetailData get dz {
    try {
      if (rawData["dz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["dz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get as {
    try {
      if (rawData["as"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["as"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ad {
    try {
      if (rawData["ad"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ad"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ao {
    try {
      if (rawData["ao"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ao"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ai {
    try {
      if (rawData["ai"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ai"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get aq {
    try {
      if (rawData["aq"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["aq"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ag {
    try {
      if (rawData["ag"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ag"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ar {
    try {
      if (rawData["ar"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ar"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get am {
    try {
      if (rawData["am"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["am"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get aw {
    try {
      if (rawData["aw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["aw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get au {
    try {
      if (rawData["au"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["au"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get at {
    try {
      if (rawData["at"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["at"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get az {
    try {
      if (rawData["az"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["az"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bs {
    try {
      if (rawData["bs"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bs"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bh {
    try {
      if (rawData["bh"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bh"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bd {
    try {
      if (rawData["bd"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bd"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bb {
    try {
      if (rawData["bb"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bb"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get by {
    try {
      if (rawData["by"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["by"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get be {
    try {
      if (rawData["be"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["be"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bz {
    try {
      if (rawData["bz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bj {
    try {
      if (rawData["bj"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bj"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bm {
    try {
      if (rawData["bm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bt {
    try {
      if (rawData["bt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bo {
    try {
      if (rawData["bo"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bo"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ba {
    try {
      if (rawData["ba"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ba"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bw {
    try {
      if (rawData["bw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bv {
    try {
      if (rawData["bv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get br {
    try {
      if (rawData["br"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["br"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get io {
    try {
      if (rawData["io"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["io"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bn {
    try {
      if (rawData["bn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bg {
    try {
      if (rawData["bg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bf {
    try {
      if (rawData["bf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bi {
    try {
      if (rawData["bi"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bi"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kh {
    try {
      if (rawData["kh"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kh"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cm {
    try {
      if (rawData["cm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ca {
    try {
      if (rawData["ca"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ca"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cv {
    try {
      if (rawData["cv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ky {
    try {
      if (rawData["ky"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ky"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cf {
    try {
      if (rawData["cf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get td {
    try {
      if (rawData["td"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["td"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cl {
    try {
      if (rawData["cl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cn {
    try {
      if (rawData["cn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cx {
    try {
      if (rawData["cx"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cx"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cc {
    try {
      if (rawData["cc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get co {
    try {
      if (rawData["co"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["co"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get km {
    try {
      if (rawData["km"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["km"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cg {
    try {
      if (rawData["cg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cd {
    try {
      if (rawData["cd"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cd"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ck {
    try {
      if (rawData["ck"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ck"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cr {
    try {
      if (rawData["cr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ci {
    try {
      if (rawData["ci"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ci"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get hr {
    try {
      if (rawData["hr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["hr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cu {
    try {
      if (rawData["cu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cy {
    try {
      if (rawData["cy"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cy"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get cz {
    try {
      if (rawData["cz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["cz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get dk {
    try {
      if (rawData["dk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["dk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get dj {
    try {
      if (rawData["dj"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["dj"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get dm {
    try {
      if (rawData["dm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["dm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get do_ {
    try {
      if (rawData["do"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["do"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ec {
    try {
      if (rawData["ec"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ec"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get eg {
    try {
      if (rawData["eg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["eg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sv {
    try {
      if (rawData["sv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gq {
    try {
      if (rawData["gq"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gq"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get en {
    try {
      if (rawData["en"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["en"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get er {
    try {
      if (rawData["er"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["er"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ee {
    try {
      if (rawData["ee"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ee"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get et {
    try {
      if (rawData["et"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["et"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fk {
    try {
      if (rawData["fk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fo {
    try {
      if (rawData["fo"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fo"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fj {
    try {
      if (rawData["fj"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fj"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fi {
    try {
      if (rawData["fi"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fi"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fr {
    try {
      if (rawData["fr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gf {
    try {
      if (rawData["gf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pf {
    try {
      if (rawData["pf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tf {
    try {
      if (rawData["tf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ga {
    try {
      if (rawData["ga"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ga"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gm {
    try {
      if (rawData["gm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ge {
    try {
      if (rawData["ge"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ge"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get de {
    try {
      if (rawData["de"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["de"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gh {
    try {
      if (rawData["gh"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gh"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gi {
    try {
      if (rawData["gi"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gi"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gr {
    try {
      if (rawData["gr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gl {
    try {
      if (rawData["gl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gd {
    try {
      if (rawData["gd"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gd"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gp {
    try {
      if (rawData["gp"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gp"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gu {
    try {
      if (rawData["gu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gt {
    try {
      if (rawData["gt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gg {
    try {
      if (rawData["gg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gn {
    try {
      if (rawData["gn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gw {
    try {
      if (rawData["gw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gy {
    try {
      if (rawData["gy"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gy"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ht {
    try {
      if (rawData["ht"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ht"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get hm {
    try {
      if (rawData["hm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["hm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get va {
    try {
      if (rawData["va"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["va"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get hn {
    try {
      if (rawData["hn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["hn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get hk {
    try {
      if (rawData["hk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["hk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get hu {
    try {
      if (rawData["hu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["hu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get is_ {
    try {
      if (rawData["is"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["is"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get in_ {
    try {
      if (rawData["in"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["in"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get id {
    try {
      if (rawData["id"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["id"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ir {
    try {
      if (rawData["ir"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ir"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get iq {
    try {
      if (rawData["iq"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["iq"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ie {
    try {
      if (rawData["ie"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ie"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get im {
    try {
      if (rawData["im"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["im"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get il {
    try {
      if (rawData["il"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["il"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get it {
    try {
      if (rawData["it"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["it"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get jm {
    try {
      if (rawData["jm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["jm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get jp {
    try {
      if (rawData["jp"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["jp"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get je {
    try {
      if (rawData["je"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["je"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get jo {
    try {
      if (rawData["jo"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["jo"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kz {
    try {
      if (rawData["kz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ke {
    try {
      if (rawData["ke"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ke"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ki {
    try {
      if (rawData["ki"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ki"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kp {
    try {
      if (rawData["kp"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kp"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ko {
    try {
      if (rawData["ko"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ko"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get xk {
    try {
      if (rawData["xk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["xk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kw {
    try {
      if (rawData["kw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kg {
    try {
      if (rawData["kg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get la {
    try {
      if (rawData["la"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["la"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lv {
    try {
      if (rawData["lv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lb {
    try {
      if (rawData["lb"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lb"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ls {
    try {
      if (rawData["ls"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ls"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lr {
    try {
      if (rawData["lr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ly {
    try {
      if (rawData["ly"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ly"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get li {
    try {
      if (rawData["li"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["li"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lt {
    try {
      if (rawData["lt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lu {
    try {
      if (rawData["lu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mo {
    try {
      if (rawData["mo"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mo"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mk {
    try {
      if (rawData["mk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mg {
    try {
      if (rawData["mg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mw {
    try {
      if (rawData["mw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get my {
    try {
      if (rawData["my"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["my"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mv {
    try {
      if (rawData["mv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ml {
    try {
      if (rawData["ml"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ml"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mt {
    try {
      if (rawData["mt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mh {
    try {
      if (rawData["mh"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mh"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mq {
    try {
      if (rawData["mq"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mq"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mr {
    try {
      if (rawData["mr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mu {
    try {
      if (rawData["mu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get yt {
    try {
      if (rawData["yt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["yt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mx {
    try {
      if (rawData["mx"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mx"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get fm {
    try {
      if (rawData["fm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["fm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get md {
    try {
      if (rawData["md"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["md"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mc {
    try {
      if (rawData["mc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mn {
    try {
      if (rawData["mn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get me {
    try {
      if (rawData["me"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["me"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ms {
    try {
      if (rawData["ms"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ms"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ma {
    try {
      if (rawData["ma"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ma"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mz {
    try {
      if (rawData["mz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mm {
    try {
      if (rawData["mm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get na {
    try {
      if (rawData["na"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["na"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nr {
    try {
      if (rawData["nr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get np {
    try {
      if (rawData["np"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["np"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nl {
    try {
      if (rawData["nl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get an {
    try {
      if (rawData["an"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["an"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nc {
    try {
      if (rawData["nc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nz {
    try {
      if (rawData["nz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ni {
    try {
      if (rawData["ni"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ni"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ne {
    try {
      if (rawData["ne"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ne"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ng {
    try {
      if (rawData["ng"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ng"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nu {
    try {
      if (rawData["nu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get nf {
    try {
      if (rawData["nf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["nf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mp {
    try {
      if (rawData["mp"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mp"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get no {
    try {
      if (rawData["no"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["no"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get om {
    try {
      if (rawData["om"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["om"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pk {
    try {
      if (rawData["pk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pw {
    try {
      if (rawData["pw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ps {
    try {
      if (rawData["ps"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ps"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pa {
    try {
      if (rawData["pa"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pa"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pg {
    try {
      if (rawData["pg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get py {
    try {
      if (rawData["py"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["py"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pe {
    try {
      if (rawData["pe"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pe"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ph {
    try {
      if (rawData["ph"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ph"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pn {
    try {
      if (rawData["pn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pl {
    try {
      if (rawData["pl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pt {
    try {
      if (rawData["pt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pr {
    try {
      if (rawData["pr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get qa {
    try {
      if (rawData["qa"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["qa"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ro {
    try {
      if (rawData["ro"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ro"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ru {
    try {
      if (rawData["ru"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ru"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get rw {
    try {
      if (rawData["rw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["rw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get re {
    try {
      if (rawData["re"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["re"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get bl {
    try {
      if (rawData["bl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["bl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sh {
    try {
      if (rawData["sh"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sh"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get kn {
    try {
      if (rawData["kn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["kn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lc {
    try {
      if (rawData["lc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get mf {
    try {
      if (rawData["mf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["mf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get pm {
    try {
      if (rawData["pm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["pm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get vc {
    try {
      if (rawData["vc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["vc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ws {
    try {
      if (rawData["ws"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ws"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sm {
    try {
      if (rawData["sm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get st {
    try {
      if (rawData["st"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["st"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sa {
    try {
      if (rawData["sa"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sa"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sn {
    try {
      if (rawData["sn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get rs {
    try {
      if (rawData["rs"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["rs"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sc {
    try {
      if (rawData["sc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sl {
    try {
      if (rawData["sl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sg {
    try {
      if (rawData["sg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sk {
    try {
      if (rawData["sk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get si {
    try {
      if (rawData["si"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["si"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sb {
    try {
      if (rawData["sb"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sb"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get so {
    try {
      if (rawData["so"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["so"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get za {
    try {
      if (rawData["za"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["za"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ss {
    try {
      if (rawData["ss"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ss"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gs {
    try {
      if (rawData["gs"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gs"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get es {
    try {
      if (rawData["es"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["es"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get lk {
    try {
      if (rawData["lk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["lk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sd {
    try {
      if (rawData["sd"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sd"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sr {
    try {
      if (rawData["sr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sj {
    try {
      if (rawData["sj"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sj"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sz {
    try {
      if (rawData["sz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get se {
    try {
      if (rawData["se"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["se"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ch {
    try {
      if (rawData["ch"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ch"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get sy {
    try {
      if (rawData["sy"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["sy"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tw {
    try {
      if (rawData["tw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tj {
    try {
      if (rawData["tj"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tj"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tz {
    try {
      if (rawData["tz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get th {
    try {
      if (rawData["th"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["th"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tl {
    try {
      if (rawData["tl"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tl"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tg {
    try {
      if (rawData["tg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tk {
    try {
      if (rawData["tk"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tk"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get to {
    try {
      if (rawData["to"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["to"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tt {
    try {
      if (rawData["tt"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tt"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tn {
    try {
      if (rawData["tn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tr {
    try {
      if (rawData["tr"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tr"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tm {
    try {
      if (rawData["tm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tc {
    try {
      if (rawData["tc"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tc"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get tv {
    try {
      if (rawData["tv"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["tv"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ug {
    try {
      if (rawData["ug"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ug"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ua {
    try {
      if (rawData["ua"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ua"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ae {
    try {
      if (rawData["ae"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ae"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get gb {
    try {
      if (rawData["gb"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["gb"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get us {
    try {
      if (rawData["us"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["us"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get uy {
    try {
      if (rawData["uy"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["uy"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get uz {
    try {
      if (rawData["uz"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["uz"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get vu {
    try {
      if (rawData["vu"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["vu"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ve {
    try {
      if (rawData["ve"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ve"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get vn {
    try {
      if (rawData["vn"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["vn"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get vg {
    try {
      if (rawData["vg"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["vg"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get vi {
    try {
      if (rawData["vi"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["vi"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get wf {
    try {
      if (rawData["wf"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["wf"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get ye {
    try {
      if (rawData["ye"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["ye"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get zm {
    try {
      if (rawData["zm"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["zm"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  LanguageDetailData get zw {
    try {
      if (rawData["zw"] is Map == false) {
        return LanguageDetailData({});
      }
      return LanguageDetailData(rawData["zw"] as Map);
    } catch (e) {
      return LanguageDetailData({});
    }
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  static LanguageCodeData create({
    LanguageDetailData? dz,
    LanguageDetailData? as,
    LanguageDetailData? ad,
    LanguageDetailData? ao,
    LanguageDetailData? ai,
    LanguageDetailData? aq,
    LanguageDetailData? ag,
    LanguageDetailData? ar,
    LanguageDetailData? am,
    LanguageDetailData? aw,
    LanguageDetailData? au,
    LanguageDetailData? at,
    LanguageDetailData? az,
    LanguageDetailData? bs,
    LanguageDetailData? bh,
    LanguageDetailData? bd,
    LanguageDetailData? bb,
    LanguageDetailData? by,
    LanguageDetailData? be,
    LanguageDetailData? bz,
    LanguageDetailData? bj,
    LanguageDetailData? bm,
    LanguageDetailData? bt,
    LanguageDetailData? bo,
    LanguageDetailData? ba,
    LanguageDetailData? bw,
    LanguageDetailData? bv,
    LanguageDetailData? br,
    LanguageDetailData? io,
    LanguageDetailData? bn,
    LanguageDetailData? bg,
    LanguageDetailData? bf,
    LanguageDetailData? bi,
    LanguageDetailData? kh,
    LanguageDetailData? cm,
    LanguageDetailData? ca,
    LanguageDetailData? cv,
    LanguageDetailData? ky,
    LanguageDetailData? cf,
    LanguageDetailData? td,
    LanguageDetailData? cl,
    LanguageDetailData? cn,
    LanguageDetailData? cx,
    LanguageDetailData? cc,
    LanguageDetailData? co,
    LanguageDetailData? km,
    LanguageDetailData? cg,
    LanguageDetailData? cd,
    LanguageDetailData? ck,
    LanguageDetailData? cr,
    LanguageDetailData? ci,
    LanguageDetailData? hr,
    LanguageDetailData? cu,
    LanguageDetailData? cy,
    LanguageDetailData? cz,
    LanguageDetailData? dk,
    LanguageDetailData? dj,
    LanguageDetailData? dm,
    LanguageDetailData? do_,
    LanguageDetailData? ec,
    LanguageDetailData? eg,
    LanguageDetailData? sv,
    LanguageDetailData? gq,
    LanguageDetailData? en,
    LanguageDetailData? er,
    LanguageDetailData? ee,
    LanguageDetailData? et,
    LanguageDetailData? fk,
    LanguageDetailData? fo,
    LanguageDetailData? fj,
    LanguageDetailData? fi,
    LanguageDetailData? fr,
    LanguageDetailData? gf,
    LanguageDetailData? pf,
    LanguageDetailData? tf,
    LanguageDetailData? ga,
    LanguageDetailData? gm,
    LanguageDetailData? ge,
    LanguageDetailData? de,
    LanguageDetailData? gh,
    LanguageDetailData? gi,
    LanguageDetailData? gr,
    LanguageDetailData? gl,
    LanguageDetailData? gd,
    LanguageDetailData? gp,
    LanguageDetailData? gu,
    LanguageDetailData? gt,
    LanguageDetailData? gg,
    LanguageDetailData? gn,
    LanguageDetailData? gw,
    LanguageDetailData? gy,
    LanguageDetailData? ht,
    LanguageDetailData? hm,
    LanguageDetailData? va,
    LanguageDetailData? hn,
    LanguageDetailData? hk,
    LanguageDetailData? hu,
    LanguageDetailData? is_,
    LanguageDetailData? in_,
    LanguageDetailData? id,
    LanguageDetailData? ir,
    LanguageDetailData? iq,
    LanguageDetailData? ie,
    LanguageDetailData? im,
    LanguageDetailData? il,
    LanguageDetailData? it,
    LanguageDetailData? jm,
    LanguageDetailData? jp,
    LanguageDetailData? je,
    LanguageDetailData? jo,
    LanguageDetailData? kz,
    LanguageDetailData? ke,
    LanguageDetailData? ki,
    LanguageDetailData? kp,
    LanguageDetailData? ko,
    LanguageDetailData? xk,
    LanguageDetailData? kw,
    LanguageDetailData? kg,
    LanguageDetailData? la,
    LanguageDetailData? lv,
    LanguageDetailData? lb,
    LanguageDetailData? ls,
    LanguageDetailData? lr,
    LanguageDetailData? ly,
    LanguageDetailData? li,
    LanguageDetailData? lt,
    LanguageDetailData? lu,
    LanguageDetailData? mo,
    LanguageDetailData? mk,
    LanguageDetailData? mg,
    LanguageDetailData? mw,
    LanguageDetailData? my,
    LanguageDetailData? mv,
    LanguageDetailData? ml,
    LanguageDetailData? mt,
    LanguageDetailData? mh,
    LanguageDetailData? mq,
    LanguageDetailData? mr,
    LanguageDetailData? mu,
    LanguageDetailData? yt,
    LanguageDetailData? mx,
    LanguageDetailData? fm,
    LanguageDetailData? md,
    LanguageDetailData? mc,
    LanguageDetailData? mn,
    LanguageDetailData? me,
    LanguageDetailData? ms,
    LanguageDetailData? ma,
    LanguageDetailData? mz,
    LanguageDetailData? mm,
    LanguageDetailData? na,
    LanguageDetailData? nr,
    LanguageDetailData? np,
    LanguageDetailData? nl,
    LanguageDetailData? an,
    LanguageDetailData? nc,
    LanguageDetailData? nz,
    LanguageDetailData? ni,
    LanguageDetailData? ne,
    LanguageDetailData? ng,
    LanguageDetailData? nu,
    LanguageDetailData? nf,
    LanguageDetailData? mp,
    LanguageDetailData? no,
    LanguageDetailData? om,
    LanguageDetailData? pk,
    LanguageDetailData? pw,
    LanguageDetailData? ps,
    LanguageDetailData? pa,
    LanguageDetailData? pg,
    LanguageDetailData? py,
    LanguageDetailData? pe,
    LanguageDetailData? ph,
    LanguageDetailData? pn,
    LanguageDetailData? pl,
    LanguageDetailData? pt,
    LanguageDetailData? pr,
    LanguageDetailData? qa,
    LanguageDetailData? ro,
    LanguageDetailData? ru,
    LanguageDetailData? rw,
    LanguageDetailData? re,
    LanguageDetailData? bl,
    LanguageDetailData? sh,
    LanguageDetailData? kn,
    LanguageDetailData? lc,
    LanguageDetailData? mf,
    LanguageDetailData? pm,
    LanguageDetailData? vc,
    LanguageDetailData? ws,
    LanguageDetailData? sm,
    LanguageDetailData? st,
    LanguageDetailData? sa,
    LanguageDetailData? sn,
    LanguageDetailData? rs,
    LanguageDetailData? sc,
    LanguageDetailData? sl,
    LanguageDetailData? sg,
    LanguageDetailData? sk,
    LanguageDetailData? si,
    LanguageDetailData? sb,
    LanguageDetailData? so,
    LanguageDetailData? za,
    LanguageDetailData? ss,
    LanguageDetailData? gs,
    LanguageDetailData? es,
    LanguageDetailData? lk,
    LanguageDetailData? sd,
    LanguageDetailData? sr,
    LanguageDetailData? sj,
    LanguageDetailData? sz,
    LanguageDetailData? se,
    LanguageDetailData? ch,
    LanguageDetailData? sy,
    LanguageDetailData? tw,
    LanguageDetailData? tj,
    LanguageDetailData? tz,
    LanguageDetailData? th,
    LanguageDetailData? tl,
    LanguageDetailData? tg,
    LanguageDetailData? tk,
    LanguageDetailData? to,
    LanguageDetailData? tt,
    LanguageDetailData? tn,
    LanguageDetailData? tr,
    LanguageDetailData? tm,
    LanguageDetailData? tc,
    LanguageDetailData? tv,
    LanguageDetailData? ug,
    LanguageDetailData? ua,
    LanguageDetailData? ae,
    LanguageDetailData? gb,
    LanguageDetailData? us,
    LanguageDetailData? uy,
    LanguageDetailData? uz,
    LanguageDetailData? vu,
    LanguageDetailData? ve,
    LanguageDetailData? vn,
    LanguageDetailData? vg,
    LanguageDetailData? vi,
    LanguageDetailData? wf,
    LanguageDetailData? ye,
    LanguageDetailData? zm,
    LanguageDetailData? zw,
    String special_type = "LanguageCodeData",
  }) {
    // LanguageCodeData languageCodeData = LanguageCodeData({
    Map languageCodeData_data_create_json = {
      "dz": (dz != null) ? dz.toJson() : null,
      "as": (as != null) ? as.toJson() : null,
      "ad": (ad != null) ? ad.toJson() : null,
      "ao": (ao != null) ? ao.toJson() : null,
      "ai": (ai != null) ? ai.toJson() : null,
      "aq": (aq != null) ? aq.toJson() : null,
      "ag": (ag != null) ? ag.toJson() : null,
      "ar": (ar != null) ? ar.toJson() : null,
      "am": (am != null) ? am.toJson() : null,
      "aw": (aw != null) ? aw.toJson() : null,
      "au": (au != null) ? au.toJson() : null,
      "at": (at != null) ? at.toJson() : null,
      "az": (az != null) ? az.toJson() : null,
      "bs": (bs != null) ? bs.toJson() : null,
      "bh": (bh != null) ? bh.toJson() : null,
      "bd": (bd != null) ? bd.toJson() : null,
      "bb": (bb != null) ? bb.toJson() : null,
      "by": (by != null) ? by.toJson() : null,
      "be": (be != null) ? be.toJson() : null,
      "bz": (bz != null) ? bz.toJson() : null,
      "bj": (bj != null) ? bj.toJson() : null,
      "bm": (bm != null) ? bm.toJson() : null,
      "bt": (bt != null) ? bt.toJson() : null,
      "bo": (bo != null) ? bo.toJson() : null,
      "ba": (ba != null) ? ba.toJson() : null,
      "bw": (bw != null) ? bw.toJson() : null,
      "bv": (bv != null) ? bv.toJson() : null,
      "br": (br != null) ? br.toJson() : null,
      "io": (io != null) ? io.toJson() : null,
      "bn": (bn != null) ? bn.toJson() : null,
      "bg": (bg != null) ? bg.toJson() : null,
      "bf": (bf != null) ? bf.toJson() : null,
      "bi": (bi != null) ? bi.toJson() : null,
      "kh": (kh != null) ? kh.toJson() : null,
      "cm": (cm != null) ? cm.toJson() : null,
      "ca": (ca != null) ? ca.toJson() : null,
      "cv": (cv != null) ? cv.toJson() : null,
      "ky": (ky != null) ? ky.toJson() : null,
      "cf": (cf != null) ? cf.toJson() : null,
      "td": (td != null) ? td.toJson() : null,
      "cl": (cl != null) ? cl.toJson() : null,
      "cn": (cn != null) ? cn.toJson() : null,
      "cx": (cx != null) ? cx.toJson() : null,
      "cc": (cc != null) ? cc.toJson() : null,
      "co": (co != null) ? co.toJson() : null,
      "km": (km != null) ? km.toJson() : null,
      "cg": (cg != null) ? cg.toJson() : null,
      "cd": (cd != null) ? cd.toJson() : null,
      "ck": (ck != null) ? ck.toJson() : null,
      "cr": (cr != null) ? cr.toJson() : null,
      "ci": (ci != null) ? ci.toJson() : null,
      "hr": (hr != null) ? hr.toJson() : null,
      "cu": (cu != null) ? cu.toJson() : null,
      "cy": (cy != null) ? cy.toJson() : null,
      "cz": (cz != null) ? cz.toJson() : null,
      "dk": (dk != null) ? dk.toJson() : null,
      "dj": (dj != null) ? dj.toJson() : null,
      "dm": (dm != null) ? dm.toJson() : null,
      "do": (do_ != null) ? do_.toJson() : null,
      "ec": (ec != null) ? ec.toJson() : null,
      "eg": (eg != null) ? eg.toJson() : null,
      "sv": (sv != null) ? sv.toJson() : null,
      "gq": (gq != null) ? gq.toJson() : null,
      "en": (en != null) ? en.toJson() : null,
      "er": (er != null) ? er.toJson() : null,
      "ee": (ee != null) ? ee.toJson() : null,
      "et": (et != null) ? et.toJson() : null,
      "fk": (fk != null) ? fk.toJson() : null,
      "fo": (fo != null) ? fo.toJson() : null,
      "fj": (fj != null) ? fj.toJson() : null,
      "fi": (fi != null) ? fi.toJson() : null,
      "fr": (fr != null) ? fr.toJson() : null,
      "gf": (gf != null) ? gf.toJson() : null,
      "pf": (pf != null) ? pf.toJson() : null,
      "tf": (tf != null) ? tf.toJson() : null,
      "ga": (ga != null) ? ga.toJson() : null,
      "gm": (gm != null) ? gm.toJson() : null,
      "ge": (ge != null) ? ge.toJson() : null,
      "de": (de != null) ? de.toJson() : null,
      "gh": (gh != null) ? gh.toJson() : null,
      "gi": (gi != null) ? gi.toJson() : null,
      "gr": (gr != null) ? gr.toJson() : null,
      "gl": (gl != null) ? gl.toJson() : null,
      "gd": (gd != null) ? gd.toJson() : null,
      "gp": (gp != null) ? gp.toJson() : null,
      "gu": (gu != null) ? gu.toJson() : null,
      "gt": (gt != null) ? gt.toJson() : null,
      "gg": (gg != null) ? gg.toJson() : null,
      "gn": (gn != null) ? gn.toJson() : null,
      "gw": (gw != null) ? gw.toJson() : null,
      "gy": (gy != null) ? gy.toJson() : null,
      "ht": (ht != null) ? ht.toJson() : null,
      "hm": (hm != null) ? hm.toJson() : null,
      "va": (va != null) ? va.toJson() : null,
      "hn": (hn != null) ? hn.toJson() : null,
      "hk": (hk != null) ? hk.toJson() : null,
      "hu": (hu != null) ? hu.toJson() : null,
      "is": (is_ != null) ? is_.toJson() : null,
      "in": (in_ != null) ? in_.toJson() : null,
      "id": (id != null) ? id.toJson() : null,
      "ir": (ir != null) ? ir.toJson() : null,
      "iq": (iq != null) ? iq.toJson() : null,
      "ie": (ie != null) ? ie.toJson() : null,
      "im": (im != null) ? im.toJson() : null,
      "il": (il != null) ? il.toJson() : null,
      "it": (it != null) ? it.toJson() : null,
      "jm": (jm != null) ? jm.toJson() : null,
      "jp": (jp != null) ? jp.toJson() : null,
      "je": (je != null) ? je.toJson() : null,
      "jo": (jo != null) ? jo.toJson() : null,
      "kz": (kz != null) ? kz.toJson() : null,
      "ke": (ke != null) ? ke.toJson() : null,
      "ki": (ki != null) ? ki.toJson() : null,
      "kp": (kp != null) ? kp.toJson() : null,
      "ko": (ko != null) ? ko.toJson() : null,
      "xk": (xk != null) ? xk.toJson() : null,
      "kw": (kw != null) ? kw.toJson() : null,
      "kg": (kg != null) ? kg.toJson() : null,
      "la": (la != null) ? la.toJson() : null,
      "lv": (lv != null) ? lv.toJson() : null,
      "lb": (lb != null) ? lb.toJson() : null,
      "ls": (ls != null) ? ls.toJson() : null,
      "lr": (lr != null) ? lr.toJson() : null,
      "ly": (ly != null) ? ly.toJson() : null,
      "li": (li != null) ? li.toJson() : null,
      "lt": (lt != null) ? lt.toJson() : null,
      "lu": (lu != null) ? lu.toJson() : null,
      "mo": (mo != null) ? mo.toJson() : null,
      "mk": (mk != null) ? mk.toJson() : null,
      "mg": (mg != null) ? mg.toJson() : null,
      "mw": (mw != null) ? mw.toJson() : null,
      "my": (my != null) ? my.toJson() : null,
      "mv": (mv != null) ? mv.toJson() : null,
      "ml": (ml != null) ? ml.toJson() : null,
      "mt": (mt != null) ? mt.toJson() : null,
      "mh": (mh != null) ? mh.toJson() : null,
      "mq": (mq != null) ? mq.toJson() : null,
      "mr": (mr != null) ? mr.toJson() : null,
      "mu": (mu != null) ? mu.toJson() : null,
      "yt": (yt != null) ? yt.toJson() : null,
      "mx": (mx != null) ? mx.toJson() : null,
      "fm": (fm != null) ? fm.toJson() : null,
      "md": (md != null) ? md.toJson() : null,
      "mc": (mc != null) ? mc.toJson() : null,
      "mn": (mn != null) ? mn.toJson() : null,
      "me": (me != null) ? me.toJson() : null,
      "ms": (ms != null) ? ms.toJson() : null,
      "ma": (ma != null) ? ma.toJson() : null,
      "mz": (mz != null) ? mz.toJson() : null,
      "mm": (mm != null) ? mm.toJson() : null,
      "na": (na != null) ? na.toJson() : null,
      "nr": (nr != null) ? nr.toJson() : null,
      "np": (np != null) ? np.toJson() : null,
      "nl": (nl != null) ? nl.toJson() : null,
      "an": (an != null) ? an.toJson() : null,
      "nc": (nc != null) ? nc.toJson() : null,
      "nz": (nz != null) ? nz.toJson() : null,
      "ni": (ni != null) ? ni.toJson() : null,
      "ne": (ne != null) ? ne.toJson() : null,
      "ng": (ng != null) ? ng.toJson() : null,
      "nu": (nu != null) ? nu.toJson() : null,
      "nf": (nf != null) ? nf.toJson() : null,
      "mp": (mp != null) ? mp.toJson() : null,
      "no": (no != null) ? no.toJson() : null,
      "om": (om != null) ? om.toJson() : null,
      "pk": (pk != null) ? pk.toJson() : null,
      "pw": (pw != null) ? pw.toJson() : null,
      "ps": (ps != null) ? ps.toJson() : null,
      "pa": (pa != null) ? pa.toJson() : null,
      "pg": (pg != null) ? pg.toJson() : null,
      "py": (py != null) ? py.toJson() : null,
      "pe": (pe != null) ? pe.toJson() : null,
      "ph": (ph != null) ? ph.toJson() : null,
      "pn": (pn != null) ? pn.toJson() : null,
      "pl": (pl != null) ? pl.toJson() : null,
      "pt": (pt != null) ? pt.toJson() : null,
      "pr": (pr != null) ? pr.toJson() : null,
      "qa": (qa != null) ? qa.toJson() : null,
      "ro": (ro != null) ? ro.toJson() : null,
      "ru": (ru != null) ? ru.toJson() : null,
      "rw": (rw != null) ? rw.toJson() : null,
      "re": (re != null) ? re.toJson() : null,
      "bl": (bl != null) ? bl.toJson() : null,
      "sh": (sh != null) ? sh.toJson() : null,
      "kn": (kn != null) ? kn.toJson() : null,
      "lc": (lc != null) ? lc.toJson() : null,
      "mf": (mf != null) ? mf.toJson() : null,
      "pm": (pm != null) ? pm.toJson() : null,
      "vc": (vc != null) ? vc.toJson() : null,
      "ws": (ws != null) ? ws.toJson() : null,
      "sm": (sm != null) ? sm.toJson() : null,
      "st": (st != null) ? st.toJson() : null,
      "sa": (sa != null) ? sa.toJson() : null,
      "sn": (sn != null) ? sn.toJson() : null,
      "rs": (rs != null) ? rs.toJson() : null,
      "sc": (sc != null) ? sc.toJson() : null,
      "sl": (sl != null) ? sl.toJson() : null,
      "sg": (sg != null) ? sg.toJson() : null,
      "sk": (sk != null) ? sk.toJson() : null,
      "si": (si != null) ? si.toJson() : null,
      "sb": (sb != null) ? sb.toJson() : null,
      "so": (so != null) ? so.toJson() : null,
      "za": (za != null) ? za.toJson() : null,
      "ss": (ss != null) ? ss.toJson() : null,
      "gs": (gs != null) ? gs.toJson() : null,
      "es": (es != null) ? es.toJson() : null,
      "lk": (lk != null) ? lk.toJson() : null,
      "sd": (sd != null) ? sd.toJson() : null,
      "sr": (sr != null) ? sr.toJson() : null,
      "sj": (sj != null) ? sj.toJson() : null,
      "sz": (sz != null) ? sz.toJson() : null,
      "se": (se != null) ? se.toJson() : null,
      "ch": (ch != null) ? ch.toJson() : null,
      "sy": (sy != null) ? sy.toJson() : null,
      "tw": (tw != null) ? tw.toJson() : null,
      "tj": (tj != null) ? tj.toJson() : null,
      "tz": (tz != null) ? tz.toJson() : null,
      "th": (th != null) ? th.toJson() : null,
      "tl": (tl != null) ? tl.toJson() : null,
      "tg": (tg != null) ? tg.toJson() : null,
      "tk": (tk != null) ? tk.toJson() : null,
      "to": (to != null) ? to.toJson() : null,
      "tt": (tt != null) ? tt.toJson() : null,
      "tn": (tn != null) ? tn.toJson() : null,
      "tr": (tr != null) ? tr.toJson() : null,
      "tm": (tm != null) ? tm.toJson() : null,
      "tc": (tc != null) ? tc.toJson() : null,
      "tv": (tv != null) ? tv.toJson() : null,
      "ug": (ug != null) ? ug.toJson() : null,
      "ua": (ua != null) ? ua.toJson() : null,
      "ae": (ae != null) ? ae.toJson() : null,
      "gb": (gb != null) ? gb.toJson() : null,
      "us": (us != null) ? us.toJson() : null,
      "uy": (uy != null) ? uy.toJson() : null,
      "uz": (uz != null) ? uz.toJson() : null,
      "vu": (vu != null) ? vu.toJson() : null,
      "ve": (ve != null) ? ve.toJson() : null,
      "vn": (vn != null) ? vn.toJson() : null,
      "vg": (vg != null) ? vg.toJson() : null,
      "vi": (vi != null) ? vi.toJson() : null,
      "wf": (wf != null) ? wf.toJson() : null,
      "ye": (ye != null) ? ye.toJson() : null,
      "zm": (zm != null) ? zm.toJson() : null,
      "zw": (zw != null) ? zw.toJson() : null,
      "@type": special_type,
    };

    languageCodeData_data_create_json
        .removeWhere((key, value) => value == null);
    LanguageCodeData languageCodeData_data_create =
        LanguageCodeData(languageCodeData_data_create_json);

    return languageCodeData_data_create;
  }
}
