import 'package:app_telegram_template/widget/app_telegram_template.dart';
import 'package:flutter/material.dart';
import 'package:general_lib_flutter/general_lib_flutter.dart';

class HomeNewSuperGroupPageAppTelegramTemplate
    extends AppTelegramTemplateStatefulWidget {
  const HomeNewSuperGroupPageAppTelegramTemplate(
      {super.key, required super.appTelegramTemplateData});

  @override
  State<HomeNewSuperGroupPageAppTelegramTemplate> createState() =>
      _HomeNewSuperGroupPageAppTelegramTemplateState();
}

class _HomeNewSuperGroupPageAppTelegramTemplateState
    extends State<HomeNewSuperGroupPageAppTelegramTemplate> {
  final GlobalKey bottomBarKey = GlobalKey();

  final GlobalKey globalKey = GlobalKey();

  final scaffoldKey = GlobalKey<ScaffoldState>();

  PageController pageController = PageController();

  Size getRedBoxSize(BuildContext context) {
    final box = context.findRenderObject() as RenderBox;
    return box.size;
  }

  @override
  void initState() {
    // TODO: implement initState
    super.initState();

    WidgetsBinding.instance.addPostFrameCallback((_) {
      setState(() {
        // redboxSize = getRedBoxSize(globalKey.currentContext!);
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    // print(widget.getRedBoxSize()!.height);
    return Scaffold(
      extendBodyBehindAppBar: true,
      extendBody: true,
      appBar: () {
        return PreferredSize(
          preferredSize: Size(
            context.width,
            450,
          ), // here the desired height
          child: Container(
            key: globalKey,
            decoration: BoxDecoration(
              color: context.theme.dialogBackgroundColor.withOpacity(0.85),
              boxShadow: [
                BoxShadow(
                  color: context.theme.shadowColor.withAlpha(110),
                  spreadRadius: 1,
                  blurRadius: 7,
                  offset: const Offset(0, 3), // changes position of shadow
                ),
              ],
            ),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                SizedBox(
                  height: context.mediaQueryData.padding.top,
                ),
                MaterialButton(
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(25.0),
                  ),
                  hoverColor: Colors.transparent,
                  splashColor: Colors.transparent,
                  highlightColor: Colors.transparent,
                  onPressed: () async {},
                  padding: const EdgeInsets.all(15),
                  child: Row(
                    mainAxisSize: MainAxisSize.max,
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      MaterialButton(
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(25.0),
                        ),
                        minWidth: 0,
                        onPressed: () async {
                          context.navigator().pop();
                        },
                        child: const Icon(Icons.arrow_back_ios_sharp),
                      ),
                      const Padding(
                        padding: EdgeInsets.all(10),
                        child: Text(
                          "New Super Group",
                          style: TextStyle(
                            fontSize: 16,
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        );
      }(),
      body: body(),
      floatingActionButton: FloatingActionButton(
        onPressed: () async {},
        child: const Icon(Icons.done),
      ),
    );
  }

  Widget textFormField({
    String? hintText,
    String? labelText,
    IconData prefixIconData = Icons.people,
    Color color = Colors.white,
    TextEditingController? controller,
    String? Function(String? data)? validator,
    bool readOnly = false,
    int? maxLength,
    int? maxLines,
  }) {
    return TextFormField(
      cursorColor: context.theme.indicatorColor,
      controller: controller,
      autovalidateMode: AutovalidateMode.onUserInteraction,
      validator: validator,
      readOnly: readOnly,
      maxLength: maxLength,
      maxLines: maxLines,
      style: TextStyle(
        color: context.theme.indicatorColor,
      ),
      onChanged: (value) {
        setState(() {});
      },
      decoration: InputDecoration(
        contentPadding: const EdgeInsets.all(0.0),
        hintText: hintText,
        labelText: labelText,
        labelStyle: TextStyle(
          color: context.theme.indicatorColor,
          fontSize: 14.0,
          fontWeight: FontWeight.w400,
        ),
        hintStyle: const TextStyle(
          color: Colors.grey,
          fontSize: 14.0,
        ),
        prefixIcon: Icon(
          prefixIconData,
          color: context.theme.indicatorColor,
          size: 18,
        ),
        disabledBorder: OutlineInputBorder(
          borderSide: BorderSide(
            color: Colors.grey.shade200,
            width: 2,
          ),
          borderRadius: BorderRadius.circular(10.0),
        ),
        enabledBorder: OutlineInputBorder(
          borderSide: BorderSide(
            color: Colors.grey.shade200,
            width: 2,
          ),
          borderRadius: BorderRadius.circular(10.0),
        ),
        floatingLabelStyle: TextStyle(
          color: context.theme.indicatorColor,
          fontSize: 18.0,
        ),
        focusedErrorBorder: OutlineInputBorder(
          borderSide: BorderSide(
            color: Colors.grey.shade200,
            width: 1.5,
          ),
          borderRadius: BorderRadius.circular(15.0),
        ),
        errorBorder: OutlineInputBorder(
          borderSide: BorderSide(
            color: Colors.grey.shade200,
            width: 1.5,
          ),
          borderRadius: BorderRadius.circular(15.0),
        ),
        focusedBorder: OutlineInputBorder(
          borderSide: BorderSide(
            color: context.theme.indicatorColor,
            width: 1.5,
          ),
          borderRadius: BorderRadius.circular(15.0),
        ),
      ),
    );
  }

  Widget body() {
    return SingleChildScrollView(
      physics: const AlwaysScrollableScrollPhysics(
        parent: BouncingScrollPhysics(),
      ),
      child: ConstrainedBox(
        constraints: BoxConstraints(
          minHeight: context.height,
          minWidth: context.width,
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            SizedBox.fromSize(
              size: () {
                try {
                  return getRedBoxSize(globalKey.currentContext!);
                } catch (e) {
                  return null;
                }
              }(),
            ),
            Padding(
              padding: const EdgeInsets.all(10),
              child: textFormField(
                hintText: "Masukan Nama Group",
                labelText: "Title Group",
                // controller: textEditingController,
                prefixIconData: Icons.title,
                maxLength: 128,
                maxLines: 1,
                readOnly: false,
              ),
            ),
            Padding(
              padding: const EdgeInsets.all(10),
              child: textFormField(
                hintText: "Deskripsi",
                labelText: "Description",
                // controller: textEditingController,
                prefixIconData: Icons.description,
                maxLength: 255,
                maxLines: null,
                readOnly: false,
              ),
            ),
          ],
        ),
      ),
    );
  }

  Widget buttonSetting(
      {required IconData iconData,
      required String title,
      String? subtitle,
      void Function()? onPressed}) {
    return MaterialButton(
      onPressed: onPressed,
      child: ListTile(
        leading: Icon(iconData),
        title: Text(title),
        subtitle: (subtitle != null) ? Text(subtitle) : null,
      ),
    );
  }
}
